superctl(1) "superctl"

# NAME
superctl

# CONCEPTS
superctl is the primary user interface for runtime configuration of superd.

# COMMANDS
*status* <service name || none>

	Get the status for the given service name, or all auto-starting services if
	none given.

*start* <service name>

	Start the given service. If it is already started, this is a no-op.

*stop* <service name>

	Stop the given service. If it is already stopped, this is a no-op.

*restart* <service name>

	Restart the given service. If the service is already stopped, this will just
	start it.

*enable* [--now] <service name>

	Enable the given service by creating a symlink from its .service file to
	$XDG_CONFIG_HOME/services/enabled

	\--now can be specified to also start the service when disabling it.

*disable* [--now] <service name>

	Disable the given service by either removing the .service file from
	$XDG_CONFIG_HOME/services/enabled, or creating a new symlink in that
	directory to mask it.

	\--now can be specified to also stop the service when disabling it.

*set-env* -- VAR1=value1 VAR2 ...

	Set one or more environment variables, in the form *VARIABLE=VALUE* or
	*VARIABLE* (case sensitive). Multiple variables can be set by separating the
	variable/value pairs by a space. Variables without an explicit value will be
	sent to superd using the value from the current environment. If the
	variableis unset in the current environment, it'll be set with an empty
	value in superd.

	Variables set this way are unavailable to services that are
	already started, but will become available to services started (or
	restarted) after this command. They are only set for the current invocation
	of superd, meaning if superd is restarted, the environment variables will
	need to be set again via this command. For a permanent way to set variables,
	set them in the service's configuration file.

	_NOTE_: the *--* is required between the command, *set-env*, and the list of
	variables. This is due to a limitation of the arg parsing library used.

*reload*
	Re-scans for service configuraion on disk and reloads it. New service config
	is imported so that services that they describe can be managed without
	restarting superd. Existing services receive updated config, which takes
	effect if/when they are restarted. This command does *not* automatically
	restart existing services managed by superd.

# EXAMPLES

To enable auto-starting a service named "foo":

```
$ superctl enable foo
```

To disable auto-starting a service named "foo":

```
$ superctl disable foo
```

Get status of all auto-started services, then status of an individual service
named "foo":
```
$ superctl status
...
$ superctl status foo
...
```

Set an environment variable at runtime to be used when running/restarting services:
```
$ superctl set-env WAYLAND_DISPLAY=wayland-1
```

# SEE ALSO
	*superd*(1) *superd.service(5)*

# AUTHORS

*Clayton Craft* <clayton@craftyguy.net>
