// Copyright 2022 Clayton Craft <clayton@craftyguy.net>
// SPDX-License-Identifier: GPL-3.0-or-later

package color

import "fmt"

const (
	blue   string = "\033[34m"
	cyan   string = "\033[36m"
	gray   string = "\033[37m"
	green  string = "\033[32m"
	purple string = "\033[35m"
	red    string = "\033[31m"
	reset  string = "\033[0m"
	white  string = "\033[97m"
	yellow string = "\033[33m"
)

func Blue(i interface{}) string {
	return fmt.Sprint(blue, i, reset)
}

func Cyan(i interface{}) string {
	return fmt.Sprint(cyan, i, reset)
}

func Gray(i interface{}) string {
	return fmt.Sprint(gray, i, reset)
}

func Green(i interface{}) string {
	return fmt.Sprint(green, i, reset)
}

func Purple(i interface{}) string {
	return fmt.Sprint(purple, i, reset)
}

func Red(i interface{}) string {
	return fmt.Sprint(red, i, reset)
}

func White(i interface{}) string {
	return fmt.Sprint(white, i, reset)
}

func Yellow(i interface{}) string {
	return fmt.Sprint(yellow, i, reset)
}

func Reset(i interface{}) string {
	return fmt.Sprint(reset, i)
}
