// Copyright 2022 Clayton Craft <clayton@craftyguy.net>
// SPDX-License-Identifier: GPL-3.0-or-later

package log

import (
	"testing"
)

func TestFormat(t *testing.T) {

	t.Run("debug level args list", func(t *testing.T) {
		out := format("debug test format", DEBUG, "some stuff here /root", "/test/foo")
		expected := "debug test format [DEBUG]: some stuff here /root/test/foo"
		if out != expected {
			t.Errorf("expected: %q, got: %q", expected, out)
		}
	})

	t.Run("debug level empty args", func(t *testing.T) {
		out := format("a thing", DEBUG, "")
		expected := "a thing [DEBUG]: "
		if out != expected {
			t.Errorf("expected: %q, got: %q", expected, out)
		}
	})

	t.Run("error level newline", func(t *testing.T) {
		out := format("fig", ERROR, "this has a \nnewline")
		// shouldn't format with the newline
		expected := "fig [ERROR]: this has a \nnewline"
		if out != expected {
			t.Errorf("expected: %q, got: %q", expected, out)
		}
	})
}
