// Copyright 2022 Clayton Craft <clayton@craftyguy.net>
// SPDX-License-Identifier: GPL-3.0-or-later

package misc

import (
	"os"
	"path/filepath"
	"strings"
)

// for testing
var userHomeDir = os.UserHomeDir

// Expand the leading ~/ in a path string to the absolute location of the
// user's home directory
func ExpandHome(path string) (expanded string) {
	expanded = path

	if strings.HasPrefix(path, "~/") {
		d, _ := userHomeDir()
		expanded = filepath.Join(d, path[2:])
	}

	return
}
