// Copyright 2022 Clayton Craft <clayton@craftyguy.net>
// SPDX-License-Identifier: GPL-3.0-or-later

package xdg

import (
	"os"
	"path/filepath"
)

// returns XDG_DATA_DIRS with the superd/services path appended
func DataDirs() (dirs []string) {
	dirs = filepath.SplitList(os.Getenv("XDG_DATA_DIRS"))
	if len(dirs) == 0 {
		dirs = []string{"/usr/share"}
	}

	// add superd/services to the search paths in XDG_DATA_DIRS
	for i := range dirs {
		dirs[i] = filepath.Join(dirs[i], "superd", "services")
	}
	return
}
